
import java.awt.event.*;
import java.awt.*;
import java.io.IOException;

import javax.swing.*;

public class CalendarJPanel extends JPanel implements ActionListener {
	JFrame main;
	HCalendar h;
	/** add the MenuBar **/
	JMenuBar jMenuBar1 = new JMenuBar();
	/** add the File menu and help menu **/
	//Type        JMenu     JMenuItem
	//structure : File menu (Save, Load, Exit)
	//		  	  Help menu (Maker)
	
	JMenu jMenuFile = new JMenu("File");
	JMenuItem jMenuFileSave = new JMenuItem("Save");
	JMenuItem jMenuFileLoad = new JMenuItem("Load");
	JMenuItem jMenuFileExit = new JMenuItem("Exit");
	JMenu jMenuHelp = new JMenu("Help");
	JMenuItem jMenuMaker = new JMenuItem("Maker");
	JLabel statusBar = new JLabel();
	JPanel jPanel1 = new JPanel();
	JPanel jPanel2 = new JPanel();
	JPanel jPanel3 = new JPanel();
	JPanel jPanel4 = new JPanel();
	/** add the init and close button below **/
	JButton jButton1 = new JButton("ʱȭ");
	JButton jButton2 = new JButton("");
	JLabel jLabel1 = new JLabel();
	
	BorderLayout borderLayout2 = new BorderLayout();
	public CalendarJPanel(JFrame main) {
		super();
		this.main = main;
		inits();
	}
	public void inits() {
		jPanel1.setLayout(borderLayout2);
		borderLayout2.setHgap(5);
		borderLayout2.setVgap(5);
		jPanel2.setLayout(new FlowLayout());
		jPanel2.setPreferredSize(new Dimension(10,50));
		jLabel1.setText("Week Calendar");

		
		/** add the save, load, exit on File menu**/
		/** add the maker on Help menu**/
		jMenuFile.add(jMenuFileSave);
		jMenuFile.add(jMenuFileLoad);
		jMenuFile.add(jMenuFileExit); 
		jMenuHelp.add(jMenuMaker); 
		
		/** add the File and Help on MenuBar **/
		jMenuBar1.add(jMenuFile);
		jMenuBar1.add(jMenuHelp);
		h = new HCalendar(jPanel3);
		
		/** about Panel Setting **/
		jPanel1.add(jPanel2,BorderLayout.NORTH);
		jPanel1.add(h.getCalendarPanel(),BorderLayout.CENTER);
		jPanel1.add(jPanel4,BorderLayout.SOUTH);
		jPanel2.add(jLabel1);
		jPanel4.add(jButton1);
		jPanel4.add(jButton2);
		jPanel4.setLayout(new FlowLayout(FlowLayout.RIGHT));
		this.setLayout(new BorderLayout());
		this.add(jPanel1,"Center");
		main.setJMenuBar(jMenuBar1);
		addListeners();
		
	}
	
	public void addListeners() {
		/** add the listener about menu and button**/
		jMenuFileSave.addActionListener(this);
		jMenuFileLoad.addActionListener(this);
		jMenuFileExit.addActionListener(this);
		jMenuMaker.addActionListener(this);
		jButton1.addActionListener(this);
		jButton2.addActionListener(this);
		
	}
	
	public void actionPerformed(ActionEvent e) {
		
		/** implement action method and exception handling using try-catch**/
		if(e.getSource()==jMenuFileSave)
		{
			try {
				h.saveWeekPlan();
			} catch (IOException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			
		}else if(e.getSource()==jMenuFileLoad)
		{
			try {
				h.loadWeekPlan();
			} catch (IOException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			
		}else if(e.getSource()==jButton1)
		{
		
				h.clean();
			
			
		}else if(e.getSource()==jButton2||e.getSource()==jMenuFileExit)
		{
			main.dispose();
			System.exit(0);
		}else if(e.getSource()==jMenuMaker)
		{
			JOptionPane.showMessageDialog(this, "й ̸", "Maker", JOptionPane.INFORMATION_MESSAGE);
		}
	}
	
}
